smtp-mail-0.3.0.0: Simple email sending via SMTP

Safe Haskell | Safe-Inferred
Language | Haskell2010

Network.Mail.SMTP.Auth

# Documentation

type UserName = String Source #

type Password = String Source #

data AuthType Source #

Constructors

PLAIN |
LOGIN |
CRAM_MD5 |

#### Instances

Instances details

Show AuthType Source # |
Instance details Defined in Network.Mail.SMTP.Auth Methods showsPrec :: Int -> AuthType -> ShowS Source # show :: AuthType -> String Source # showList :: [AuthType] -> ShowS Source #
Eq AuthType Source # |
Instance details Defined in Network.Mail.SMTP.Auth Methods (==) :: AuthType -> AuthType -> Bool Source # (/=) :: AuthType -> AuthType -> Bool Source #

encodeLogin :: UserName -> Password -> (ByteString, ByteString) Source #

auth :: AuthType -> String -> UserName -> Password -> ByteString Source #